public inbox for mauve-discuss@sourceware.org
 help / color / mirror / Atom feed
* builder: Added and updated scripts
@ 2006-11-26 16:31 Mark Wielaard
  0 siblings, 0 replies; only message in thread
From: Mark Wielaard @ 2006-11-26 16:31 UTC (permalink / raw)
  To: mauve-discuss

[-- Attachment #1: Type: text/plain, Size: 814 bytes --]

Hi,

Seems lots of scripts were added and updated on builder, but the changes
were never properly checked into CVS.

2006-11-26  Mark Wielaard  <mark@klomp.org>

    * Build, Cacao, CacaoRelease, Check, Classpath, GcjEclipse,        
    GcjEclipseJmx, GenericCp, Jamvm, Mauve, MauveCacao, MauveEMMA,
    MauveReleaseCacao, Settings, Update: Added and updated.

Apologies for the somewhat lame ChangeLog entry. Not all changes were
made by me. But I thought it a good idea to get all cleanups into CVS so
everybody knows what is going on. Note that mauve runs and the
comparision script on builder work again now.
http://builder.classpath.org/mauve/mauvereport.cgi

If you have access to builder and make a change to any of the
auto-builder scripts please do post and checkin your changes into cvs.

Thanks,

Mark

[-- Attachment #2: new-updates-scripts.diff --]
[-- Type: text/x-patch, Size: 15312 bytes --]

Index: Build
===================================================================
RCS file: /cvs/mauve/builder/scripts/Build,v
retrieving revision 1.2
diff -u -r1.2 Build
--- Build	22 Jun 2006 21:39:26 -0000	1.2
+++ Build	26 Nov 2006 16:06:03 -0000
@@ -15,16 +15,21 @@
 StdBuild
 Report "gcc build" $? build/Log.Std || exit 1
 
+# gcc branches.
+GcjEclipse
+#GcjEclipseJmx
+
 # Order matters here.
 Classpath
 #ClasspathFutureRelease
 Jamvm
 #JamvmFutureRelease
+Cacao
 Ecj
 GenericCp
 
-Japi
-RunJapi
+#Japi
+#RunJapi
 
 # Jessie and Crypto must come before Inetlib.
 #Jessie
Index: Cacao
===================================================================
RCS file: Cacao
diff -N Cacao
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ Cacao	26 Nov 2006 16:06:03 -0000
@@ -0,0 +1,18 @@
+#! /bin/sh
+
+. $(dirname "$0")/Settings
+
+Status "building cacao"
+
+cd $TOP/cacao
+rm -rf build install
+
+(cd cacao
+ ./autogen.sh)
+
+StdBuild --with-classpath-prefix=$TOP/classpath/jikes-install \
+  --prefix=$TOP/cacao/install --disable-disassembler
+
+Report "cacao build" $? build/Log.Std || exit 1
+
+exit 0
Index: CacaoRelease
===================================================================
RCS file: CacaoRelease
diff -N CacaoRelease
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ CacaoRelease	26 Nov 2006 16:06:03 -0000
@@ -0,0 +1,18 @@
+#! /bin/sh
+
+. $(dirname "$0")/Settings
+
+Status "building cacao release"
+
+cd $TOP/cacao
+rm -rf build install
+
+(cd cacao
+ ./autogen.sh)
+
+StdBuild --with-classpath-prefix=$TOP/classpath-release/jikes-install \
+  --prefix=$TOP/classpath-release/jikes-install --disable-disassembler
+
+Report "cacao release build" $? build/Log.Std || exit 1
+
+exit 0
Index: Check
===================================================================
RCS file: /cvs/mauve/builder/scripts/Check,v
retrieving revision 1.3
diff -u -r1.3 Check
--- Check	22 Jun 2006 21:39:26 -0000	1.3
+++ Check	26 Nov 2006 16:06:03 -0000
@@ -26,10 +26,17 @@
 fi
 
 # Run mauve on jamvm.
-MauveRelease
+#MauveRelease
 Mauve
 #MauveFutureRelease
 
+# Run mauve on cacao.
+#MauveReleaseCacao
+MauveCacao
+
+# Run mauve to generate EMMA reports
+#MauveEMMA
+
 # Run the serialization test suite.
 # DISABLED
 #Serialization
Index: Classpath
===================================================================
RCS file: /cvs/mauve/builder/scripts/Classpath,v
retrieving revision 1.3
diff -u -r1.3 Classpath
--- Classpath	23 Jul 2006 12:49:30 -0000	1.3
+++ Classpath	26 Nov 2006 16:06:03 -0000
@@ -8,7 +8,7 @@
 
 (cd classpath; ./autogen.sh)
 
-Status "building classpath with gcj (4.0)"
+Status "building classpath with gcj (4.1)"
 (
 # Classpath.
 rm -rf build install
@@ -19,7 +19,7 @@
 ../classpath/configure --enable-Werror --prefix=$(cd ../install && pwd) &&
 make all install distcheck
 )
-Report "classpath build with gcj (4.0)" $? build/Log
+Report "classpath build with gcj (4.1)" $? build/Log
 
 cp build/classpath-*.tar.gz /var/www/dist/classpath-latest.tar.gz
 
@@ -53,6 +53,7 @@
 make all install
 )
 cp jikes-build/lib/glibj.zip /var/www/dist/glibj-latest.zip
+cp jikes-build/tools/tools.zip /var/www/dist/tools-latest.zip
 
 Report "classpath build with jikes" $? jikes-build/Log
 )
Index: GcjEclipse
===================================================================
RCS file: GcjEclipse
diff -N GcjEclipse
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ GcjEclipse	26 Nov 2006 16:06:03 -0000
@@ -0,0 +1,17 @@
+#! /bin/sh
+
+. $(dirname "$0")/Settings
+
+Status "building gcc gcj-eclipse branch"
+
+add_gcj_eclipse_dependencies_path() 
+
+cd $TOP/gcj-eclipse
+
+rm -rf build install
+
+StdBuild
+
+Report "gcc gcj-eclipse build" $? build/Log.Std || exit 1
+
+exit 0
Index: GcjEclipseJmx
===================================================================
RCS file: GcjEclipseJmx
diff -N GcjEclipseJmx
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ GcjEclipseJmx	26 Nov 2006 16:06:03 -0000
@@ -0,0 +1,17 @@
+#! /bin/sh
+
+. $(dirname "$0")/Settings
+
+Status "building gcc gcj-eclipse-jmx branch"
+
+add_gcj_eclipse_dependencies_path() 
+
+cd $TOP/gcj-eclipse-jmx
+
+rm -rf build install
+
+StdBuild
+
+Report "gcc gcj-eclipse-jmx build" $? build/Log.Std || exit 1
+
+exit 0
Index: GenericCp
===================================================================
RCS file: /cvs/mauve/builder/scripts/GenericCp,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 GenericCp
--- GenericCp	19 Jun 2006 15:59:18 -0000	1.1.1.1
+++ GenericCp	26 Nov 2006 16:06:03 -0000
@@ -7,11 +7,12 @@
 Status "building classpath generics branch with ecj"
 
 # This sets up LD_LIBRARY_PATH for us.
-# FIXME - ecj-gcj-build seems broken. Fallback on "installed" ecj.
+# FIXME - The ecj-gcj-build seems broken
+# e.g. The method copyOf(EnumSet<T>) is ambiguous for the type EnumSet<T>
 #add_gcc_path
 
 #PATH=$TOP/ecj/ecj-gcj-build/:$PATH
-PATH=$TOP/ecj:$PATH
+#PATH=$TOP/ecj:$PATH
 
 cd $TOP/generics
 
@@ -22,6 +23,6 @@
 
 cd build
 make dist
+cp ../install/share/classpath/glibj.zip /var/www/dist/glibj-generics-latest.zip
 cp classpath-*.tar.gz /var/www/dist/classpath-generics-latest.tar.gz
-cp lib/glibj.zip /var/www/dist/glibj-generics-latest.zip
 
Index: Jamvm
===================================================================
RCS file: /cvs/mauve/builder/scripts/Jamvm,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 Jamvm
--- Jamvm	19 Jun 2006 15:59:18 -0000	1.1.1.1
+++ Jamvm	26 Nov 2006 16:06:03 -0000
@@ -12,7 +12,7 @@
  NOCONFIGURE=yes ./autogen.sh)
 
 StdBuild --with-classpath-install-dir=$TOP/classpath/jikes-install \
-  --prefix=$TOP/classpath/jikes-install --disable-libffi
+  --prefix=$TOP/jamvm/install --disable-libffi
 
 Report "jamvm build" $? build/Log.Std || exit 1
 
Index: Mauve
===================================================================
RCS file: /cvs/mauve/builder/scripts/Mauve,v
retrieving revision 1.2
diff -u -r1.2 Mauve
--- Mauve	8 Jul 2006 21:18:53 -0000	1.2
+++ Mauve	26 Nov 2006 16:06:03 -0000
@@ -6,6 +6,9 @@
 
 add_jamvm_path
 JAVA=jamvm
+export JAVA
+JAVAC="ecj -bootclasspath /home/cpdev/Nightly/classpath/install/share/classpath/glibj.zip"
+export JAVAC
 
 cd $TOP/mauve
 
@@ -21,10 +24,10 @@
 
 (
 exec > Log.Std 2>&1
-#./configure --with-ecj-jar=/home/cpdev/Nightly/ &&
-./configure --with-ecj-jar=/home/cpdev/Nightly/ecj/ecj.jar &&
+#./configure --with-ecj-jar=/home/cpdev/Nightly/ecj/ecj.jar &&
+./configure --with-ecj-jar=/usr/share/java/ecj.jar --with-vm=jamvm &&
 make &&
-xvfb-run jamvm -Xnocompact Harness gnu.testlet -vm jamvm -showpasses -timeout 180000
+xvfb-run jamvm Harness gnu.testlet -vm jamvm -showpasses -timeout 180000
 )
 
 # Report "mauve -vs- jamvm" $? Log.Std
Index: MauveCacao
===================================================================
RCS file: MauveCacao
diff -N MauveCacao
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ MauveCacao	26 Nov 2006 16:06:03 -0000
@@ -0,0 +1,35 @@
+#! /bin/sh
+
+. $(dirname "$0")/Settings
+
+Status "running mauve on cacao/ecj"
+
+add_cacao_path
+JAVA=cacao
+export JAVA
+JAVAC="ecj -bootclasspath /home/cpdev/Nightly/classpath/install/share/classpath/glibj.zip"
+export JAVAC
+
+cd $TOP/mauve
+
+echo === Running Mauve
+
+rm -rf build
+mkdir build
+cd build
+
+# We make a copy because invoking the Harness only works in the source tree.
+cp -a ../mauve .
+cd mauve
+
+(
+exec > Log.Std 2>&1
+#./configure --with-ecj-jar=/home/cpdev/Nightly/ &&
+./configure --with-ecj-jar=/usr/share/java/ecj.jar --with-vm=cacao &&
+make &&
+xvfb-run cacao Harness gnu.testlet -vm cacao -showpasses -timeout 120000
+)
+
+# Report "mauve -vs- cacao" $? Log.Std
+Regressions "mauve-cacao" $(pwd)/Log.Std
+Regressions2 "mauve-cacao-release" "mauve-cacao"
Index: MauveEMMA
===================================================================
RCS file: MauveEMMA
diff -N MauveEMMA
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ MauveEMMA	26 Nov 2006 16:06:03 -0000
@@ -0,0 +1,163 @@
+#! /bin/sh
+
+. $(dirname "$0")/Settings
+
+Status "running mauve for EMMA report"
+
+JAVA=/home/cpdev/Nightly/mauve/emma/bin/jamvm
+
+cd $TOP/classpath/classpath
+./autogen.sh
+cd ../../mauve
+
+echo === Running Mauve For EMMA
+
+## Build classpath with ecj -g
+cd emma
+rm -rf ecj-build
+rm -rf ecj-install
+mkdir ecj-build
+mkdir ecj-install
+cd ecj-build
+set -e
+#exec > Log 2>&1
+/home/cpdev/Nightly/classpath/classpath/configure --enable-Werror --with-ecj --prefix=/home/cpdev/Nightly/mauve/emma/ecj-install ECJ="/usr/bin/ecj -g"
+make all install
+
+## Unzip the classpath and emma jars
+cd ../ecj-install/share/classpath
+unzip glibj.zip
+rm glibj.zip
+cp ../../../emma.jar .
+fastjar xf emma.jar
+
+
+## Instrument the sources
+inst ()
+{
+trunk="gij -cp /home/cpdev/Nightly/mauve/emma/emma.jar emma instr -m overwrite -cp /home/cpdev/Nightly/mauve/emma/ecj-install/share/classpath"
+whole=${trunk}/${1}
+echo $1
+`echo $whole`
+}
+ 
+{
+exec > /home/cpdev/Nightly/mauve/emma/instrumentLog 2>&1 
+cd $TOP/mauve/build/mauve
+rm -rf coverage coverage.ec coverage.em
+
+echo "TESTING"
+inst javax
+inst org
+inst vm
+inst META-INF
+#inst gnu/CORBA
+#inst gnu/javax
+#inst gnu/regexp
+#inst gnu/test
+#inst gnu/xml
+inst gnu
+inst java/applet
+inst java/awt
+inst java/beans
+inst java/math
+inst java/rmi
+inst java/sql
+inst java/text
+inst java/nio
+inst java/security
+
+#inst java/security
+#inst java/security
+
+inst java/util/regex
+inst java/util/prefs
+
+#inst gnu/classpath/debug
+#inst gnu/classpath/jdwp
+#inst gnu/classpath/examples
+#inst gnu/classpath/tools
+#inst gnu/java/awt
+#inst gnu/java/beans
+#inst gnu/java/locale
+#inst gnu/java/math
+#inst gnu/java/lang/reflect
+#inst gnu/java/net/local
+#inst gnu/java/nio/charset
+#inst gnu/java/rmi
+#inst gnu/java/security
+#inst gnu/java/text
+
+inst examples
+inst sun
+
+## This part is to instrument the classes in java/net that don't cause problems
+cd /home/cpdev/Nightly/mauve/emma/ecj-install/share/classpath/java
+mkdir temp_net
+cd net
+cp URL.class URL\$1.class URLClassLoader.class URLStreamHandler.class ../temp_net
+jar cvf netJar.jar *
+rm *.class
+cd $TOP/mauve/build/mauve
+inst java/net/netJar.jar
+cd /home/cpdev/Nightly/mauve/emma/ecj-install/share/classpath/java/net
+fastjar xf netJar.jar
+cp ../temp_net/* .
+rm -rf ../temp_net
+## End of java/net class-level instrumentation
+
+## This part is to instrument the classes in java/lang that don't cause problems
+cd /home/cpdev/Nightly/mauve/emma/ecj-install/share/classpath/java
+mkdir temp_lang
+cd lang
+cp Character.class Class.class ClassFormatError.class Error.class ../temp_lang
+cp IncompatibleClassChangeError.class Integer.class LinkageError.class Math.class ../temp_lang
+cp NoClassDefFoundError.class NoSuchFieldError.class NoSuchMethodError.class Object.class ../temp_lang
+cp OutOfMemoryError.class Runtime.class StackTraceElement.class StringBuffer.class ../temp_lang
+cp String\$CaseInsensitiveComparator.class String.class System.class Thread.class ../temp_lang
+cp ThreadGroup.class ThreadLocal.class Throwable.class VirtualMachineError.class VMClass.class ../temp_lang
+cp VMClassLoader.class VMObject.class VMSystem.class ../temp_lang
+
+jar cvf langJar.jar *
+rm *.class
+cd $TOP/mauve/build/mauve
+inst java/lang/langJar.jar
+cd /home/cpdev/Nightly/mauve/emma/ecj-install/share/classpath/java/lang
+fastjar xf langJar.jar
+cp ../temp_lang/* .
+rm -rf ../temp_lang
+## End of java/lang class-level instrumentation
+
+
+
+## For some reason the java/util stuff doesn't work right now
+## This part is to instrument the classes in java/util that don't cause problems
+#cd /home/cpdev/Nightly/mauve/emma/ecj-install/share/classpath/java
+#mkdir temp_util
+#cd util
+#cp AbstractCollection.class AbstractList.class Vector.class ../temp_util
+#cp -r zip ../temp_util
+#jar cvf utilJar.jar *
+#mv utilJar.jar ../
+#rm -rf *
+#mv ../utilJar.jar .
+#cd $TOP/mauve/build/mauve
+#inst java/util/utilJar.jar
+#cd /home/cpdev/Nightly/mauve/emma/ecj-install/share/classpath/java/util
+#fastjar xf utilJar.jar
+#cp -r ../temp_util/* .
+#rm -rf ../temp_util
+## End of java/util class-level instrumentation
+}
+
+cd $TOP/mauve/build/mauve
+(
+exec > /home/cpdev/Nightly/mauve/emma/Log.Std 2>&1
+./configure --with-ecj-jar=/home/cpdev/Nightly/ecj/ecj.jar &&
+make &&
+xvfb-run gij -Xnocompact Harness gnu.testlet -vm /home/cpdev/Nightly/mauve/emma/bin/jamvm -showpasses -timeout 240000
+)
+
+## Create the report and publish it
+gij -cp /home/cpdev/Nightly/mauve/emma/emma.jar emma report -r html -sp /home/cpdev/Nightly/classpath/classpath -in coverage.em,coverage.ec -Dreport.sort=+name
+cp -a coverage /home/cpdev/public_html
Index: MauveReleaseCacao
===================================================================
RCS file: MauveReleaseCacao
diff -N MauveReleaseCacao
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ MauveReleaseCacao	26 Nov 2006 16:06:03 -0000
@@ -0,0 +1,33 @@
+#! /bin/sh
+
+. $(dirname "$0")/Settings
+
+Status "running mauve release on cacao"
+
+add_jamvm_release_path
+JAVA=cacao
+
+cd $TOP/mauve
+
+COMPILER="jikes -bootclasspath $TOP/classpath-release/jikes-install/share/classpath/glibj.zip"
+export COMPILER
+
+echo === Running Mauve
+
+rm -rf build
+mkdir build
+cd build
+
+# We make a copy because invoking Harness only works in the source tree.
+cp -a ../mauve mauve_release
+cd mauve_release
+
+(
+exec > Log.Std 2>&1
+./configure --with-ecj-jar=/home/cpdev/ecj.jar &&
+make &&
+$JAVA Harness gnu.testlet -timeout 240000 -vm cacao
+)
+
+# Report "mauve -vs- cacao" $? Log.Std
+Regressions "mauve-cacao-release" $(pwd)/Log.Std
Index: Settings
===================================================================
RCS file: /cvs/mauve/builder/scripts/Settings,v
retrieving revision 1.2
diff -u -r1.2 Settings
--- Settings	19 Jun 2006 19:53:33 -0000	1.2
+++ Settings	26 Nov 2006 16:06:03 -0000
@@ -23,12 +23,18 @@
 # Add jamvm to path.
 add_jamvm_path()
 {
-   PATH=$TOP/classpath/jikes-install/bin:$PATH
+   PATH=$TOP/jamvm/install/bin:$PATH
    # find libffi.  ugh... FIXME
    #LD_LIBRARY_PATH=/usr/local/lib:$LD_LIBRARY_PATH
    #export LD_LIBRARY_PATH
 }
 
+# Add cacao to path.
+add_cacao_path()
+{
+   PATH=$TOP/cacao/install/bin:$PATH
+}
+
 # Add jamvm (release version) to path.
 add_jamvm_release_path()
 {
@@ -41,6 +47,12 @@
    PATH=$TOP/classpath-future-release/jikes-install/bin:$PATH
 }
 
+# Add gcj-eclipse dependencies path
+add_gcj_eclipse_dependencies_path()
+{
+   PATH=$TOP/gcj-eclipse/dependencies:$PATH
+}
+
 # Where messages are sent from (can be a fake address).
 REPORTFROM=cpdev@builder.classpath.org
 # Where messages are sent (comma separated).
Index: Update
===================================================================
RCS file: /cvs/mauve/builder/scripts/Update,v
retrieving revision 1.3
diff -u -r1.3 Update
--- Update	22 Jun 2006 21:39:26 -0000	1.3
+++ Update	26 Nov 2006 16:06:03 -0000
@@ -15,6 +15,11 @@
 cd $TOP/gcc/trunk
 ./contrib/gcc_update
 
+# gcc gcj-eclipse branch
+Status "svn update gcc gcj-eclipse branch"
+cd $TOP/gcc/gcj-eclipse
+./contrib/gcc_update
+
 # Classpath.
 Status "cvs update classpath"
 cd $TOP/classpath
@@ -66,6 +71,13 @@
 cvs -d:pserver:anonymous@cvs.jamvm.berlios.de:/cvsroot/jamvm co jamvm
 cd jamvm
 
+# Cacao
+Status "svn update cacao"
+cd $TOP/cacao
+svn co svn://c1.complang.tuwien.ac.at/ahome/cacao/svn/cacao/trunk cacao
+cd cacao
+./autogen.sh
+
 # Eclipse compiler
 Status "cvs update ecj"
 cd $TOP/ecj

^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2006-11-26 16:31 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2006-11-26 16:31 builder: Added and updated scripts Mark Wielaard

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).